Skip to main content
GET
/
v1
/
webhooks
/
{webhook_id}
/
deliveries
List Webhook Deliveries
curl --request GET \
  --url https://api-tokyo.oneinbox.ai/v1/webhooks/{webhook_id}/deliveries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-tokyo.oneinbox.ai/v1/webhooks/{webhook_id}/deliveries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-tokyo.oneinbox.ai/v1/webhooks/{webhook_id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-tokyo.oneinbox.ai/v1/webhooks/{webhook_id}/deliveries"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "items": [
    {
      "id": "<string>",
      "webhook_id": "<string>",
      "event": "<string>",
      "status": "<string>",
      "attempt": 123,
      "response_status": 123,
      "response_body": "<string>",
      "error": "<string>",
      "next_retry_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

webhook_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
WebhookDeliveryResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required